Package org.eclipse.mat.ui.compare

# Class CompareBasketView

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.ui.part.WorkbenchPart
org.eclipse.ui.part.ViewPart
org.eclipse.mat.ui.compare.CompareBasketView

All Implemented Interfaces:
  `IAdaptable`, `IExecutableExtension`, `IPersistable`, `IViewPart`, `IWorkbenchPart`, `IWorkbenchPart2`, `IWorkbenchPart3`, `IWorkbenchPartOrientation`

public class CompareBasketView extends ViewPart

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ID`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`CompareBasketView()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`accepts(PaneState state, MultiPaneEditor editor)`
`void`
`addResultToCompare(PaneState state, MultiPaneEditor editor)`
`void`
`createPartControl(Composite parent)`
`void`
`dispose()`
`void`
`setFocus()`

### Methods inherited from class org.eclipse.ui.part.ViewPart

`getViewSite, init, init, saveState, setInitializationData`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, getAdapter, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

## Field Details

### ID

public static final String ID

See Also:
  - Constant Field Values

## Constructor Details

### CompareBasketView

public CompareBasketView()

## Method Details

### createPartControl

public void createPartControl(Composite parent)

Specified by:
  `createPartControl` in interface `IWorkbenchPart`
Specified by:
  `createPartControl` in class `WorkbenchPart`

### setFocus

public void setFocus()

Specified by:
  `setFocus` in interface `IWorkbenchPart`
Specified by:
  `setFocus` in class `WorkbenchPart`

### addResultToCompare

public void addResultToCompare(PaneState state, MultiPaneEditor editor)

### accepts

public static boolean accepts(PaneState state, MultiPaneEditor editor)

### dispose

public void dispose()

Specified by:
  `dispose` in interface `IWorkbenchPart`
Overrides:
  `dispose` in class `WorkbenchPart`